<section class="about-us">
  <div class="about-us-main">
    <h2 class="heading-secondary">
      About us
    </h2>

    <div class="container">
      <div class="row">
        <div class="col-12 d-block d-md-none text-center">
          <p class="hint">(Click for more infos)</p>
        </div>
      </div>
      <div class="row">
        <div class="col d-none d-md-block">
          <div class="name-box">
            <h2
              (mouseenter)="onHover('Moritz')"
              (mouseleave)="onMouseLeave('Moritz')"
              id="Moritz">Moritz</h2>
            <h2
              [ngClass]="{'fake-hover-max' : textIsHoveredForMax, 'fake-hover-mori' : textIsHoveredForMori}"
              (mouseenter)="onHover('Max')"
              (mouseleave)="onMouseLeave('Max')"
              id="Max">Maximilian</h2>
          </div>
        </div>
      </div>
    </div>

    <div class="about-us-main__photos">
      <div class="container">
        <div class="row mb-5">
          <div class="col-12 col-sm-8 col-lg-5 mr-auto ml-auto mt-lg-0 mb-lg-0 mt-5 mb-5">
            <div
              class="box"
              (mouseenter)="onHover('Max')"
              (mouseleave)="onMouseLeave('Max')">
              <div class="img-box" [ngClass]="{'box-translate' : textIsHoveredForMax}">
                <img
                  class="about-images"
                  src="assets/images/about/Ma.jpeg"
                  alt="Maxe About"
                  height="100%"
                  width="100%">
              </div>
              <div class="layer layer-1"
                   [ngClass]="{'box-translate-layer' : textIsHoveredForMax}"></div>
              <div class="content">
                <h2>About Maxe</h2>
                <p class="content__text">
                  Hello, my name is Maximilian Bieleke. <br>
                  I am 22 years old <br>
                  I have a bachelor's degree in business computer science
                  and I am currently working at DB Systel GmbH. <br>
                  I am a passionate programmer with a focus on web development. <br>
                  If you want to know more, click. <a class="content__link"
                                                      routerLink="maxe">here.</a>
                </p>
              </div>
            </div>
          </div>
          <div class="col-12 col-sm-8 col-lg-5 mr-auto ml-auto">
            <div
              class="box"
              (mouseenter)="onHover('Moritz')"
              (mouseleave)="onMouseLeave('Moritz')">
              <div class="img-box" [ngClass]="{'box-translate' : textIsHoveredForMori}">
                <img
                  class="about-images"
                  src="assets/images/about/Mo.jpg"
                  alt="Moritz About"
                  height="100%"
                  width="100%">
              </div>
              <div class="layer layer-1"
                   [ngClass]="{'box-translate-layer' : textIsHoveredForMori}"></div>
              <div class="content">
                <h2>About Mori</h2>
                <p class="content__text">
                  My name is Moritz Lindner and I am 25 years old. <br>
                  I have a bachelor's degree in computer science
                  and work for DB Systel GmbH. <br>
                  I am also currently studying for a Master's degree in Computer Science at Humboldt
                  University.<br>
                  My focus is on backend development. I am particularly interested in functional
                  programming, TDD, clean architecture and event sourcing. <br>
                  If you want to know more, click <a class="content__link"
                                                     routerLink="moritz">here</a>.
                </p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
